<?php
include('Barcode.php');
require('fpdf.php');

class eFPDF extends FPDF{
	function TextWithRotation($x, $y, $txt, $txt_angle, $font_angle=0)
	{


			$font_angle+=90+$txt_angle;
			$txt_angle*=M_PI/180;
			$font_angle*=M_PI/180;

			$txt_dx=cos($txt_angle);
			$txt_dy=sin($txt_angle);
			$font_dx=cos($font_angle);
			$font_dy=sin($font_angle);

			$s=sprintf('BT %.2F %.2F %.2F %.2F %.2F %.2F Tm (%s) Tj ET',$txt_dx,$txt_dy,$font_dx,$font_dy,$x*$this->k,($this->h-$y)*$this->k,$this->_escape($txt));
			if ($this->ColorFlag)
					$s='q '.$this->TextColor.' '.$s.' Q';
			$this->_out($s);
			$this->Image('boleta.jpg',5,3,288);
	}
}



//$id_persona=@$_GET["x_idpersona"];
$id_persona=1842;
	$connect = mysqli_connect("localhost", "root", "", "satsaider");
	$query = "SELECT * FROM afiliadosr WHERE id = '".$id_persona."'";
	$result = mysqli_query($connect, $query);

	$apellido="";
	$nombres="";
	$nro_afiliado="";

	while($f_result = $result->fetch_assoc()) {
   $apellido=$f_result["Apellido"];
	 $nombres=$f_result["Nombres"];
	 $nro_afiliado=$f_result["Nro_Afiliado"];
}




// Creaci�n del objeto de la clase heredada
$pdf = new eFPDF();
$pdf->AddPage('L','A4');


$pdf->SetFont('Arial','B',13);
$pdf->SetTextColor(0,0,0);
$pdf->Text(40,24.5,$nro_afiliado);
$pdf->SetFont('Arial','B',11);
$pdf->Text(9,34.5,$apellido." ".$nombres);


$pdf->SetFont('Arial','B',13);
$pdf->Text(40,131,$nro_afiliado);
$pdf->SetFont('Arial','B',11);
$pdf->Text(9,141,$apellido." ".$nombres);

//$query = "INSERT INTO `recetarios`(`Fecha_de_Emision`, `Nro_de_Afiliado_Sat`, `Apellido_y_Nombre`) VALUES (".date("d-m-Y H:i:s").",".$nro_afiliado.",".$numeracion1." ".$numeracion2.")";
$ipaddress = $_SERVER['REMOTE_ADDR'];
//$query ="INSERT INTO `recetarios` (`id`, `Fecha_de_Emision`, `Nro_de_Afiliado_Sat`, `Apellido_y_Nombre`, `numeracion`, `Sexo`, `ip`) VALUES (NULL, CURRENT_TIMESTAMP, '".$nro_afiliado."', '".$apellido." ".$nombres."', '".$numeracion1." ".$numeracion2."', NULL,'".$ipaddress."')";

//$result = mysqli_query($connect, $query);

$apeynom=$apellido." ".$nombres;
$dia = date('d');
$mes = date('m');
$anio = date('Y');
$fecha=$dia."_".$mes."_".$anio;
$archivo=$apeynom."_".$fecha.".pdf";
$archivo= str_replace(" ", "_", $archivo);


//$pdf->Output('I',$archivo);

//$pdf->Output();

// -------------------------------------------------- //
//                  PROPERTIES
// -------------------------------------------------- //

$fontSize = 10;
$marge    = 10;   // between barcode and hri in pixel
$x        = 200;  // barcode center
$y        = 200;  // barcode center
$height   = 50;   // barcode height in 1D ; module size in 2D
$width    = 2;    // barcode height in 1D ; not use in 2D
$angle    = 0;   // rotation in degrees : nb : non horizontable barcode might not be usable because of pixelisation

$code     = '123456789012'; // barcode, of course ;)
$type     = 'code39';//'ean13';
$black    = '000000'; // color in hexa


// -------------------------------------------------- //
//            ALLOCATE FPDF RESSOURCE
// -------------------------------------------------- //

//$pdf = new eFPDF('P', 'pt');
//$pdf->AddPage();

// -------------------------------------------------- //
//                      BARCODE
// -------------------------------------------------- //

$data = Barcode::fpdf($pdf, $black, $x, $y, $angle, $type, array('code'=>$code), $width, $height);

// -------------------------------------------------- //
//                      HRI
// -------------------------------------------------- //

$pdf->SetFont('Arial','B',$fontSize);
$pdf->SetTextColor(0, 0, 0);
$len = $pdf->GetStringWidth($data['hri']);
Barcode::rotate(-$len / 2, ($data['height'] / 2) + $fontSize + $marge, $angle, $xt, $yt);
$pdf->TextWithRotation($x + $xt, $y + $yt, $data['hri'], $angle);

//$pdf->Output();
$pdf->Output('I',$archivo);



?>
